[ 
https://issues.apache.org/jira/browse/GUACAMOLE-450?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Nick Couchman updated GUACAMOLE-450:
------------------------------------
    Affects Version/s:     (was: 0.9.13-incubating)

> Change Tomcat Version in Dockerfile to major release
> ----------------------------------------------------
>
>                 Key: GUACAMOLE-450
>                 URL: https://issues.apache.org/jira/browse/GUACAMOLE-450
>             Project: Guacamole
>          Issue Type: Improvement
>          Components: guacamole-docker
>            Reporter: Patrik Heinz
>            Priority: Minor
>
> Currently the Dockerfile specifies the Tomcat version down to the patch level 
> (TOMCAT_VERSION=8.0.20), which isn't ideal.
> Tomcat 8.0.20 has by now several major security issues which are fixed in the 
> lasted release 8.0.47.
> I checked out the current github source and build / (shortly) tested 
> successful with 8.0 and 8 as version tag. Which leads Docker to pull the 
> current 8.0.47 respectively 8.5.23 tomcat image.
> Considering the end of life for Apache Tomcat 8.0.x in June 2018 I would 
> suggest changing the Tomcat version directly to the major 8 branch.
> (furthermore an automated build up-to-date official guac image with an 
> current tomcat would be good for everyone.)



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to